import { TTagOrStatusItem } from '../../store/type';
export declare class TagPopper {
    tags: TTagOrStatusItem[];
    referenceSelector: string;
    isOpen: boolean;
    private triggerEl;
    private popperEl;
    private cleanup?;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleClickOutside: (e: MouseEvent) => void;
    private handleCloseOthers;
    togglePopper(): Promise<void>;
    render(): any;
}
